OMSimulatorLib The OMSimulator project is a FMI-based co-simulation environment.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
oms::ssd::ConnectionGeometry Class Reference

`#include <ConnectionGeometry.h>`

Inheritance diagram for oms::ssd::ConnectionGeometry:
[legend]
Collaboration diagram for oms::ssd::ConnectionGeometry:
[legend]

## Public Member Functions
| ConnectionGeometry ()
| ConnectionGeometry (const ConnectionGeometry &rhs, bool inverse=false)
| ~ConnectionGeometry ()
ConnectionGeometry & | operator= (ConnectionGeometry const &rhs)
void | setPoints (unsigned int n, double *pointsX, double *pointsY)
unsigned int | getLength () const
const double * | getPointsX () const
const double * | getPointsY () const
oms_status_enu_t | exportToSSD (pugi::xml_node &root) const
oms_status_enu_t | importFromSSD (const pugi::xml_node &node)

## Constructor & Destructor Documentation

## ◆ ConnectionGeometry() [1/2]

oms::ssd::ConnectionGeometry::ConnectionGeometry | ( |  | ) |

## ◆ ConnectionGeometry() [2/2]

oms::ssd::ConnectionGeometry::ConnectionGeometry | ( | const ConnectionGeometry & | rhs,
|  | bool | inverse = `false`
| ) |  |

Here is the call graph for this function:

## ◆ ~ConnectionGeometry()

oms::ssd::ConnectionGeometry::~ConnectionGeometry | ( |  | ) |

## Member Function Documentation

## ◆ exportToSSD()

oms_status_enu_t oms::ssd::ConnectionGeometry::exportToSSD | ( | pugi::xml_node & | root | ) | const

## ◆ getLength()

unsigned int oms::ssd::ConnectionGeometry::getLength | ( |  | ) | const
| inline

## ◆ getPointsX()

const double * oms::ssd::ConnectionGeometry::getPointsX | ( |  | ) | const
| inline

## ◆ getPointsY()

const double * oms::ssd::ConnectionGeometry::getPointsY | ( |  | ) | const
| inline

## ◆ importFromSSD()

oms_status_enu_t oms::ssd::ConnectionGeometry::importFromSSD | ( | const pugi::xml_node & | node | ) |

Here is the caller graph for this function:

## ◆ operator=()

oms::ssd::ConnectionGeometry & oms::ssd::ConnectionGeometry::operator= | ( | ConnectionGeometry const & | rhs | ) |

## ◆ setPoints()

void oms::ssd::ConnectionGeometry::setPoints | ( | unsigned int | n,
|  | double * | pointsX,
|  | double * | pointsY
| ) |  |

The documentation for this class was generated from the following files:

- /var/lib/jenkins/ws/OMSimulator_PR-1619/src/OMSimulatorLib/ssd/ConnectionGeometry.h
- /var/lib/jenkins/ws/OMSimulator_PR-1619/src/OMSimulatorLib/ssd/ConnectionGeometry.cpp